<%
/****************************************************************************/
/*                                                                          */
/* Program name: rttemplate.jsp                                             */
/*                                                                          */
/* Description: Template file of Rapid Deployment Wizard                    */
/*                                                                          */
/*                                                                          */
/*  Statement:  Licensed Materials - Property of IBM                        */
/*                                                                          */
/*              MQSeries SupportPac Mxxx                                    */
/*              (C) Copyright IBM Corp. 2000,2002                           */
/*                                                                          */
/****************************************************************************/
/*                                                                          */
/* Function:                                                                */
/*                                                                          */
/*   Insert description here                                                */
/*                                                                          */
/*                                                                          */
/****************************************************************************/
/*                                                                          */
/* Change history:                                                          */
/*                                                                          */
/* V1.0   dd-month-yy  JWH  Initial release                                 */
/*                                                                          */
/*==========================================================================*/
/* Module Name: rttemplate.jsp                                              */
/*==========================================================================*/
%>
<%@ page language="java" info="JspWizard" %>
<%@ page import="com.ibm.workflow.api.*" %>
<%@ page import="com.ibm.workflow.api.ItemPackage.*" %>
<%@ page import="com.ibm.workflow.servlet.client.*" %>
<jsp:useBean id="context" scope="request"
    type="com.ibm.workflow.servlet.client.RequestContext"/>

<% ReadOnlyContainer inData=context.getContainer();
   WorkItem          workItem=context.getWorkItem();
%>

<%!
  public String getStringMember(RequestContext context, ReadOnlyContainer input, String name)
  {
    String val = null;
    
    try {
      val = context.getMemberValue(input, name, "");
    }
    catch (Exception e) {
    }
    
    return val;
  }

  public double getDoubleMember(RequestContext context, ReadOnlyContainer input, String name)
  {
    String val = null;
    double rtn = 0.0;
    
    try {
      val = context.getMemberValue(input, name, "0.0");
      rtn = Double.parseDouble(val);
    }
    catch (Exception e) {
    }
    
    return rtn;
  }

  public int getLongMember(RequestContext context, ReadOnlyContainer input, String name)
  {
    String val = null;
    int rtn = 0;
    
    try {
      val = context.getMemberValue(input, name, "0");
      rtn = Integer.parseInt(val);
    }
    catch (Exception e) {
    }
    
    return rtn;
  }

  public String getGlobalMember(RequestContext context, String name)
  {
    String val = null;
    
    try {
      // if (MQWorkflow Web Client vertion != "3.3.2 SP1"), please comment out next line.
      val = context.getMemberValue(context.getGlobalContainer(), name, "");
    }
    catch (Exception e) {
    }
    
    return val;
  }

%>



<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title></title>
</head>

<body>
<form method="post" action="<%=context.getCommand("checkInWorkItem", workItem.persistentOid())%>">
<!-- METADATA name="JspWizard" startspan -->
<!-- METADATA name="JspWizard" endspan -->

<hr>
<input type="submit" name="checkinWorkitem" value="Complete work item">
<input type="button" name="cancelWorkItem" value="Cancel" onClick="javascript:{location='<%=context.getCommand("cancelWorkItem", workItem.persistentOid())%>';}">
</form>
</body>

</html>
